package org.gcube.portlets.user.geoportaldataentry.client.ui.card;

import org.gcube.portlets.user.geoportaldataentry.client.ConcessioniFormCardTitle;
import org.gcube.portlets.widgets.mpformbuilder.client.form.generic.CreateMetadataForm;
import org.gcube.portlets.widgets.mpformbuilder.shared.metadata.MetaDataProfileBean;

public class GeoNaFormCardModel {

	private MetaDataProfileBean metadataProfileBean;
	private CreateMetadataForm metadataForm;
	private ConcessioniFormCardTitle formCardTitle; //matching with metadata profile type

	public GeoNaFormCardModel() {

	}

	public GeoNaFormCardModel(MetaDataProfileBean metadataProfileBean, CreateMetadataForm metadataForm,
			ConcessioniFormCardTitle formCardTitle) {
		super();
		this.metadataProfileBean = metadataProfileBean;
		this.metadataForm = metadataForm;
		this.formCardTitle = formCardTitle;
	}

	public MetaDataProfileBean getMetadataProfileBean() {
		return metadataProfileBean;
	}

	public void setMetadataProfileBean(MetaDataProfileBean metadataProfileBean) {
		this.metadataProfileBean = metadataProfileBean;
	}

	public CreateMetadataForm getMetadataForm() {
		return metadataForm;
	}

	public void setMetadataForm(CreateMetadataForm metadataForm) {
		this.metadataForm = metadataForm;
	}

	public ConcessioniFormCardTitle getFormCardTitle() {
		return formCardTitle;
	}

	public void setFormCardTitle(ConcessioniFormCardTitle formCardTitle) {
		this.formCardTitle = formCardTitle;
	}

	@Override
	public String toString() {
		return "GeoNaForm [metadataProfileBean=" + metadataProfileBean + ", metadataForm=" + metadataForm
				+ ", formCardTitle=" + formCardTitle + "]";
	}

}
