package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;
import java.util.List;

import org.gcube.portlets.user.geoportaldataentry.client.ConcessioniFormCardTitle;
import org.gcube.portlets.widgets.mpformbuilder.shared.GenericDatasetBean;

public class GeoNaFormDataObject implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3620244260086172039L;
	
	private List<GenericDatasetBean> listGDB;
	private ConcessioniFormCardTitle theType;
	
	public GeoNaFormDataObject(){
		
	}

	public GeoNaFormDataObject(List<GenericDatasetBean> listGDB, ConcessioniFormCardTitle theType) {
		super();
		this.listGDB = listGDB;
		this.theType = theType;
	}

	public List<GenericDatasetBean> getListGDB() {
		return listGDB;
	}

	public void setListGDB(List<GenericDatasetBean> listGDB) {
		this.listGDB = listGDB;
	}
	public ConcessioniFormCardTitle getTheType() {
		return theType;
	}
	public void setTheType(ConcessioniFormCardTitle theType) {
		this.theType = theType;
	}

	@Override
	public String toString() {
		return "GeoNaFormDataObject [listGDB=" + listGDB + ", theType=" + theType + "]";
	}


}
