package org.gcube.portlets.user.geoportaldataentry.shared;

import java.io.Serializable;

public class GeonaISConfig implements Serializable{
	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -6700506811708315617L;
	
	String gRSecondaryType;
	String scope;
	
	public GeonaISConfig() {
	}

	public GeonaISConfig(String gRSecondaryType, String scope) {
		super();
		this.gRSecondaryType = gRSecondaryType;
		this.scope = scope;
	}


	public String getgRSecondaryType() {
		return gRSecondaryType;
	}

	public void setgRSecondaryType(String gRSecondaryType) {
		this.gRSecondaryType = gRSecondaryType;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GeonaISConfig [gRSecondaryType=");
		builder.append(gRSecondaryType);
		builder.append(", scope=");
		builder.append(scope);
		builder.append("]");
		return builder.toString();
	}

	

}
